import 'package:json_annotation/json_annotation.dart';

part 'account.g.dart';

@JsonSerializable(explicitToJson: true)
class Account {
  String? id;
  String? currency;
  String? type;
  String? balance;
  String? available;
  String? holds;
  Account({
    this.id,
    this.currency,
    this.type,
    this.balance,
    this.available,
    this.holds,
  });
  
  factory Account.fromJson(Map<String, dynamic> json) =>
      _$AccountFromJson(json);

  Map<String, dynamic> toJson() => _$AccountToJson(this);
}
